org.apache.nutch.crawl

## Class InjectorJob.UrlMapper

- java.lang.Object
- - org.apache.hadoop.mapreduce.Mapper<LongWritable,Text,java.lang.String,WebPage>
  - - org.apache.nutch.crawl.InjectorJob.UrlMapper

- Enclosing class:
    InjectorJob

      public static class InjectorJob.UrlMapper
      extends Mapper<LongWritable,Text,java.lang.String,WebPage>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper

      `Mapper.Context`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlMapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `map(LongWritable key, Text value, Mapper.Context context)`
    `protected void` | `setup(Mapper.Context context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Mapper

      `cleanup, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlMapper

          public UrlMapper()

  - ### Method Detail

    - #### setup

          protected void setup(Mapper.Context context)
                        throws java.io.IOException,
                               java.lang.InterruptedException

      Overrides:
        `setup` in class `Mapper<LongWritable,Text,java.lang.String,WebPage>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

    - #### map

          protected void map(LongWritable key,
                             Text value,
                             Mapper.Context context)
                      throws java.io.IOException,
                             java.lang.InterruptedException

      Overrides:
        `map` in class `Mapper<LongWritable,Text,java.lang.String,WebPage>`
      Throws:
        `java.io.IOException`
        `java.lang.InterruptedException`

Copyright © 2019 The Apache Software Foundation